FreePBX Contactmanager 跨站脚本漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1792567 漏洞类型 跨站脚本
发布时间 2019-10-21 更新时间 2019-10-25
CVE编号 CVE-2019-16966 CNNVD-ID CNNVD-201910-1273
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201910-1273
|漏洞详情
FreePBX(前称Asterisk Management Portal)是FreePBX项目的一套通过GUI(基于网页的图形化接口)配置Asterisk(IP电话系统)的工具。Contactmanager是使用在其中的一个联系人管理组件。 FreePBX 14.0.10.3版本中的Contactmanager 13.0.45.3之前的13.x版本、14.0.5.12之前的14.x版本和15.0.8.21之前的15.x版本存在跨站脚本漏洞。该漏洞源于WEB应用缺少对客户端数据的正确验证。攻击者可利用该漏洞执行客户端代码。
|参考资料

来源:resp3ctblog.wordpress.com

链接:https://resp3ctblog.wordpress.com/2019/10/19/freepbx-xss-1/


来源:issues.freepbx.org

链接:https://issues.freepbx.org/browse/FREEPBX-20437


来源:github.com

链接:https://github.com/FreePBX/contactmanager/commit/99e5aa0050224289cfe64c9036f38ce2531bf633


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-16966